package com.libreecm.commonAPI.model.objects;

import java.util.Set;

import com.libreecm.commonAPI.model.LibreECMObject;
import com.libreecm.commonAPI.model.enums.Action;

import java.util.EnumSet;


/**
 * Allowable Actions.
 */
public class AllowableActions  extends LibreECMObject{

    private static final long serialVersionUID = 1L;

    private Set<Action> allowableActions;

    public Set<Action> getAllowableActions() {
        if (allowableActions == null) {
            allowableActions = EnumSet.noneOf(Action.class);
        }

        return allowableActions;
    }

    public void setAllowableActions(Set<Action> allowableActions) {
        this.allowableActions = allowableActions;
    }

    public String toString() {
        return "Allowable Actions [allowable actions=" + allowableActions + "]" + super.toString();
    }
}